{
	"easycom": {
		"autoscan": true,
		"custom": {
			"^uni-(.*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue",
			"^(?!z-paging-refresh|z-paging-load-more)z-paging(.*)": "@/uni_modules/z-paging/components/z-paging$1/z-paging$1.vue",
			"^y-(.*)": "@/uni_modules/y-$1/components/y-$1.vue"
		}
	},
	"pages": [
		{
			"path": "pages/home/index",
			"style": {
				"navigationBarTitleText": "牧云环保项目管理",
				"componentPlaceholder": {
					"plan-task": "view",
					"my-work": "view",
					"project-count": "view",
					"project-category": "view"
				}
			}
		},
		{
			"path": "pages/work/index",
			"style": {
				"navigationBarTitleText": "我的工作",
				"app-plus": {
					"bounce": "none"
				}
			}
		},
		{
			"path": "pages/project/index",
			"style": {
				"navigationBarTitleText": "项目管理"
			}
		},
		{
			"path": "pages/profile/index",
			"style": {
				"navigationBarTitleText": "我的",
				"navigationStyle": "custom",
				"mp-alipay": {
					"transparentTitle": "always",
					"titlePenetrate": "YES"
				}
			}
		},
		{
			"path": "pages/authorize/index",
			"style": {
				"navigationBarTitleText": "授权"
			}
		}
	],
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "uni-app",
		"navigationBarBackgroundColor": "#F8F8F8",
		"backgroundColor": "#edf0f9"
	},
	"subPackages": [
		{
			"root": "pages/project/components",
			"pages": [
				{
					"path": "add-project",
					"style": {
						"navigationBarTitleText": "创建项目"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationBarTitleText": "项目详情"
					}
				},
				{
					"path": "doc-detail",
					"style": {
						"navigationBarTitleText": "文档详情"
					}
				},
				{
					"path": "form-work",
					"style": {
						"navigationBarTitleText": "工作表单"
					}
				},
				{
					"path": "logs",
					"style": {
						"navigationBarTitleText": "动态"
					}
				},
				{
					"path": "work-chain",
					"style": {
						"navigationBarTitleText": "工作链"
					}
				}
			]
		},
		{
			"root": "pages/project/overview",
			"pages": [
				{
					"path": "add-checker",
					"style": {
						"navigationBarTitleText": "添加审核组成员"
					}
				},
				{
					"path": "add-member",
					"style": {
						"navigationBarTitleText": "添加项目组成员"
					}
				},
				{
					"path": "edit-checker",
					"style": {
						"navigationBarTitleText": "修改审核组成员"
					}
				},
				{
					"path": "edit-member",
					"style": {
						"navigationBarTitleText": "修改项目组成员"
					}
				}
			]
		},
		{
			"root": "pages/project/plan-task-list",
			"pages": [
				{
					"path": "add-plan-task",
					"style": {
						"navigationBarTitleText": "添加任务"
					}
				},
				{
					"path": "edit-plan-task",
					"style": {
						"navigationBarTitleText": "修改任务"
					}
				},
				{
					"path": "set-plan-progress",
					"style": {
						"navigationBarTitleText": "设置任务进度"
					}
				}
			]
		},
		{
			"root": "pages/project/plan-task-detail",
			"pages": [
				{
					"path": "add-task-check-flow",
					"style": {
						"navigationBarTitleText": "添加任务审核"
					}
				},
				{
					"path": "edit-task-check-flow",
					"style": {
						"navigationBarTitleText": "修改任务审核流程"
					}
				},
				{
					"path": "add-outcome",
					"style": {
						"navigationBarTitleText": "添加交付物"
					}
				},
				{
					"path": "edit-outcome",
					"style": {
						"navigationBarTitleText": "edit-outcome"
					}
				}
			]
		},
		{
			"root": "pages/echart",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "index"
					}
				}
			]
		},
		{
			"root": "pages/profile/week-report",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "我的周报",
						"componentPlaceholder": {
							"week-report": "view"
						}
					}
				}
			]
		},
		{
			"root": "pages/project/week-report",
			"pages": [
				{
					"path": "add-week-report",
					"style": {
						"navigationBarTitleText": "新建周报"
					}
				},
				{
					"path": "week-report-detail",
					"style": {
						"navigationBarTitleText": "week-report-detail"
					}
				}
			]
		},
		{
			"root": "pages/profile/contract",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "我的合同"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationBarTitleText": "合同详情",
						"componentPlaceholder": {
							"contract-detail": "view"
						}
					}
				},
				{
					"path": "add-contract",
					"style": {
						"navigationBarTitleText": "录入合同"
					}
				},
				{
					"path": "add-payment",
					"style": {
						"navigationBarTitleText": "添加收款约定"
					}
				},
				{
					"path": "edit-payment",
					"style": {
						"navigationBarTitleText": "修改收款约定"
					}
				}
			]
		},
		{
			"root": "pages/profile/customer",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "客户管理"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationBarTitleText": "客户详情"
					}
				},
				{
					"path": "add-customer",
					"style": {
						"navigationBarTitleText": "新增客户"
					}
				}
			]
		},
		{
			"root": "pages/project/progressing",
			"pages": [
				{
					"path": "outcome-list",
					"style": {
						"navigationBarTitleText": "交付物列表"
					}
				}
			]
		},
		{
			"root": "pages/profile/version",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "版本记录"
					}
				}
			]
		},
		{
			"root": "pages/profile/info",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "个人资料"
					}
				}
			]
		},
		{
			"root": "pages/profile/archive",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "已归档文件",
						"componentPlaceholder": {
							"document": "view"
						}
					}
				}
			]
		}
	],
	"preloadRule": {
		"pages/home/index": {
			"network": "all",
			"packages": [
				"pages/echart"
			]
		}
	},
	"tabBar": {
		"color": "#8a8a8a",
		"selectedColor": "#3d7eff",
		"backgroundColor": "#edf0f9",
		"borderStyle": "black",
		"list": [
			{
				"text": "首页",
				"pagePath": "pages/home/index",
				"iconPath": "./static/images/tabBar/home.png",
				"selectedIconPath": "./static/images/tabBar/home-selected.png"
			},
			{
				"text": "工作",
				"pagePath": "pages/work/index",
				"iconPath": "./static/images/tabBar/notice.png",
				"selectedIconPath": "./static/images/tabBar/notice-selected.png"
			},
			{
				"text": "项目",
				"pagePath": "pages/project/index",
				"iconPath": "./static/images/tabBar/project.png",
				"selectedIconPath": "./static/images/tabBar/project-selected.png"
			},
			{
				"text": "我的",
				"pagePath": "pages/profile/index",
				"iconPath": "./static/images/tabBar/mine.png",
				"selectedIconPath": "./static/images/tabBar/mine-selected.png"
			}
		]
	}
}